Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class MenuItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.MenuItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MenuItem extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getData()`
  `int`
  `getRoleCount()`
  `boolean`
  `isDefault()`
  `MenuItem`
  `setData(String data)`
  `MenuItem`
  `setDefault(boolean value)`
  `MenuItem`
  `setId(int id)`
  Устанавливает id объекта
  `MenuItem`
  `setRoleCount(int roleCount)`
  `MenuItem`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MenuItem

    public MenuItem()

- ## Method Details

  - ### getData

    public String getData()

  - ### getRoleCount

    public int getRoleCount()

  - ### isDefault

    public boolean isDefault()

  - ### setData

    public MenuItem setData(String data)

  - ### setDefault

    public MenuItem setDefault(boolean value)

  - ### setId

    public MenuItem setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setRoleCount

    public MenuItem setRoleCount(int roleCount)

  - ### setTitle

    public MenuItem setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`